package cn.reghao.devops.web.mgr.machine.service;

import cn.reghao.devops.web.mgr.machine.model.po.SshAuth;
import cn.reghao.jutil.jdk.result.Result;

import java.util.List;

/**
 * @author reghao
 * @date 2019-11-15 08:48:04
 */
public interface MachineService {
    void setEnv(String machineId, String env);
    void setSshAuth(String machineId, SshAuth sshAuth);
    Result delete(String machineId);
    Result updateMachineStat(List<String> machineIds);
    void agentShutdown(String machineId);
    void shutdown();
}
